From: Boyuan Yang <byang@debian.org>
Date: Wed, 15 Jun 2022 16:54:04 -0400
Subject: Fix collections.abc compat

Bug-Debian: https://bugs.debian.org/1002185
---
 pex/base.py       | 2 +-
 pex/link.py       | 2 +-
 pex/orderedset.py | 4 ++--
 3 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/pex/base.py b/pex/base.py
index 7d90443..b7d9562 100644
--- a/pex/base.py
+++ b/pex/base.py
@@ -3,7 +3,7 @@
 
 from __future__ import absolute_import
 
-from collections import Iterable
+from collections.abc import Iterable
 
 from pkg_resources import Requirement
 
diff --git a/pex/link.py b/pex/link.py
index f8af611..40c24b2 100644
--- a/pex/link.py
+++ b/pex/link.py
@@ -5,7 +5,7 @@ from __future__ import absolute_import
 
 import os
 import posixpath
-from collections import Iterable
+from collections.abc import Iterable
 
 from .compatibility import PY3, WINDOWS, pathname2url
 from .compatibility import string as compatible_string
diff --git a/pex/orderedset.py b/pex/orderedset.py
index 3eb5cb4..effae46 100644
--- a/pex/orderedset.py
+++ b/pex/orderedset.py
@@ -8,10 +8,10 @@
 # modifications
 #
 
-import collections
+import collections.abc
 
 
-class OrderedSet(collections.MutableSet):
+class OrderedSet(collections.abc.MutableSet):
   KEY, PREV, NEXT = range(3)
 
   def __init__(self, iterable=None):
